QKbdDriverPlugin(3qt)

NAME
QKbdDriverPlugin - Abstract base for Qt/Embedded keyboard driver plugins

SYNOPSIS
#include <qkbddriverplugin_qws.h>

  Public Members
QKbdDriverPlugin ()
~QKbdDriverPlugin ()
virtual QStringList keys () const = 0
virtual QWSKeyboardHandler * create ( const QString & driver, const QString & device ) = 0

DESCRIPTION
The QKbdDriverPlugin class provides an abstract base for Qt/Embedded keyboard driver plugins.

The keyboard driver plugin is a simple plugin interface that makes it easy to create custom keyboard drivers.

Writing a keyboard driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the Plugins documentation for details.

This class is only available in Qt/Embedded.

See also Plugins.

MEMBER FUNCTION DOCUMENTATION

QKbdDriverPlugin::QKbdDriverPlugin ()
Constructs a keyboard driver plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

QKbdDriverPlugin::~QKbdDriverPlugin ()
Destroys the keyboard driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

QWSKeyboardHandler * QKbdDriverPlugin::create ( const QString & driver, const QString & device ) [pure virtual]
Creates a driver matching the type specified by driver and device.

See also keys().

QStringList QKbdDriverPlugin::keys () const [pure virtual]
Returns the list of keyboard drivers this plugin supports.

See also create().

SEE ALSO
http://doc.trolltech.com/qkbddriverplugin.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qkbddriverplugin.3qt) and the Qt version (3.3.8).